%global major 0
%define libname %mklibname cbor %major
%define devname %mklibname -d cbor
Name:		libcbor
Version:	0.7.0
Release:	%mkrel 1
Summary:	A CBOR parsing library
Group:          Development/Other

License:	MIT
URL:		http://libcbor.org
Source0:	https://github.com/PJK/%{name}/archive/v%{version}.tar.xz

BuildRequires:	cmake
BuildRequires:	gcc
BuildRequires:	gcc-c++
BuildRequires:	python3-breathe
BuildRequires:	python3-sphinx
BuildRequires:	python3-sphinx_rtd_theme
BuildRequires: make

%description
libcbor is a C library for parsing and generating CBOR.

%package	-n %libname
Group: System/Libraries
Summary:	Library for %{name}

%description -n %libname
The %{libname} contains libraries header files for %{name}.

%package	-n %devname
Summary:	Development files for %{name}
Group: Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %devname
The %{devname} contains libraries and header files for %{name}.

%prep
%setup -q


%build
%cmake -B . -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFFIX="/usr" ./
%make_build cbor_shared


%install
%make_install -C build
mv %buildroot/usr/%{_libdir}/* %buildroot/%{_libdir}/

%files -n %libname
%{_libdir}/libcbor.so.0*

%files -n %devname
%{_includedir}/cbor.h
%{_includedir}/cbor/*.h
%{_includedir}/cbor/internal/*.h
%{_libdir}/libcbor.so
%{_libdir}/pkgconfig/libcbor.pc

%changelog
* Sat Jun 26 2022 tex - 0.7.0-1pclos2022
- import package libcbor
